Package org.apache.batchee.extras.typed

## Class TypedItemWriter<R,​C extends Serializable>

- java.lang.Object
- - org.apache.batchee.extras.typed.TypedItemWriter<R,​C>

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemWriter`
  Direct Known Subclasses:
    `NoStateTypedItemWriter`

      public abstract class TypedItemWriter<R,​C extends Serializable>
      extends Object
      implements javax.batch.api.chunk.ItemWriter

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypedItemWriter()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Serializable` | `checkpointInfo()` |
    `protected abstract C` | `doCheckpointInfo()` |
    `protected abstract void` | `doOpen​(C checkpoint)` |
    `protected abstract void` | `doWriteItems​(List<R> items)` |
    `void` | `open​(Serializable checkpoint)` |
    `void` | `writeItems​(List<Object> items)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.batch.api.chunk.ItemWriter

      `close`

- - ### Constructor Detail

    - #### TypedItemWriter

          public TypedItemWriter()

  - ### Method Detail

    - #### doOpen

          protected abstract void doOpen​(C checkpoint)

    - #### doCheckpointInfo

          protected abstract C doCheckpointInfo()

    - #### doWriteItems

          protected abstract void doWriteItems​(List<R> items)

    - #### open

          public void open​(Serializable checkpoint)
                    throws Exception

      Specified by:
        `open` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### writeItems

          public void writeItems​(List<Object> items)
                          throws Exception

      Specified by:
        `writeItems` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`

    - #### checkpointInfo

          public Serializable checkpointInfo()
                                      throws Exception

      Specified by:
        `checkpointInfo` in interface `javax.batch.api.chunk.ItemWriter`
      Throws:
        `Exception`